# Install abusehelper from svn.
#
class abusehelper {

    case $operatingsystem {
        ubuntu: {
            package { [ "python-pyme", "python-tz" ]:
                ensure => installed,
            }
        }
    }

    file { "/usr/local/src/abusehelper.tar.gz":
        ensure => present,
        mode   => 0644,
        owner  => root,
        group  => root,
        source => "puppet:///files/packages/abusehelper.tar.gz",
        links  => follow,
    }
    util::extract::tar { "/usr/local/src/abusehelper":
        strip   => 1,
        source  => "/usr/local/src/abusehelper.tar.gz",
        require => File["/usr/local/src/abusehelper.tar.gz"],
    }
    python::setup::install { "/usr/local/src/abusehelper":
        require => Util::Extract::Tar["/usr/local/src/abusehelper"],
    }

    include user::system
    realize(User["abusehel"], Group["abusehel"])

    if $abusehelper_datadir {
        file { "${abusehelper_datadir}":
            ensure  => directory,
            mode    => 0750,
            owner   => root,
            group   => abusehel,
            require => User["abusehel"],
        }

        file { "/var/lib/ah2":
            ensure  => link,
            target  => "${abusehelper_datadir}",
            require => File["${abusehelper_datadir}"],
        }
    } else {
        file { "/var/lib/ah2":
            ensure  => directory,
            mode    => 0750,
            owner   => root,
            group   => abusehel,
            require => User["abusehel"],
        }
    }

}
