# Install ejabberd.
#
# === Global variables
#
#   $ejabberd_domain:
#       Domain serverd by ejabberd. Defaults to $domain.
#
#   $ejabberd_adminusers:
#       Array of users with admin privileges.
#
class ejabberd {

    if !$ejabberd_domain {
        $ejabberd_domain = $domain
    }

    package { "ejabberd":
        ensure => installed,
    }

    service { "ejabberd":
        ensure => running,
        enable => true,
    }

    file { "/etc/ejabberd/ejabberd.pem":
        ensure  => present,
        mode    => 0600,
        owner   => ejabberd,
        group   => ejabberd,
        require => Package["ejabberd"],
    }

    file { "/etc/ejabberd/ejabberd.cfg":
        ensure  => present,
        mode    => 0600,
        owner   => ejabberd,
        group   => ejabberd,
        content => template("ejabberd/ejabberd.cfg.erb"),
        require => Package["ejabberd"],
        notify  => Service["ejabberd"],
    }

}
